/*
 *
 *          linesize.c
 *
 *
 */

#include "defn.h"

linesize()
{
    int		ipen = 0;
    float	linewidth;

   if (test_token())
	ipen = getval() - 1;

   if (ipen < 0 || ipen > 7)
	ipen = 0;

    linewidth = pen_size[ipen] * SCALE;		/* In mm */
    fprintf(outfile, "stroke\n");		/* Stroke last linesize */
    fprintf(outfile, "%g mm setlinewidth\n", linewidth);
}
